<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net10.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <RootNamespace>SIGCM2.Api</RootNamespace>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.OpenApi" />
    <PackageReference Include="Serilog.AspNetCore" />
    <PackageReference Include="Serilog.Sinks.Seq" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" />
    <PackageReference Include="Scalar.AspNetCore" />
    <PackageReference Include="FluentValidation.AspNetCore" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\SIGCM2.Application\SIGCM2.Application.csproj" />
    <ProjectReference Include="..\SIGCM2.Infrastructure\SIGCM2.Infrastructure.csproj" />
    <ProjectReference Include="..\SIGCM2.Domain\SIGCM2.Domain.csproj" />
  </ItemGroup>

</Project>
